Index: issm/trunk-jpl/src/c/io/Disk/pfclose.cpp
===================================================================
--- issm/trunk-jpl/src/c/io/Disk/pfclose.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/io/Disk/pfclose.cpp	(revision 12494)
@@ -18,4 +18,4 @@
 	extern int my_rank;
 	_assert_(fid);
-	if(fclose(fid)!=0)_error2_("" << "could not close file " << filename);
+	if(fclose(fid)!=0)_error2_("could not close file " << filename);
 }
Index: issm/trunk-jpl/src/c/io/Disk/pfopen.cpp
===================================================================
--- issm/trunk-jpl/src/c/io/Disk/pfopen.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/io/Disk/pfopen.cpp	(revision 12494)
@@ -20,5 +20,5 @@
 	/*Open handle to data on disk: */
 	fid=fopen(filename,format);
-	if(fid==NULL) _error2_("" << "could not open file " << filename << " for binary reading or writing"); 
+	if(fid==NULL) _error2_("could not open file " << filename << " for binary reading or writing"); 
 
 	return fid;
Index: issm/trunk-jpl/src/c/modules/DakotaResponsesx/DakotaResponsesx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/DakotaResponsesx/DakotaResponsesx.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/modules/DakotaResponsesx/DakotaResponsesx.cpp	(revision 12494)
@@ -104,5 +104,5 @@
 			}
 		}
-		else _error2_("" << " flag type " << flag << " not supported yet for response analysis");
+		else _error2_(" flag type " << flag << " not supported yet for response analysis");
 	}
 
Index: issm/trunk-jpl/src/c/modules/Dakotax/DescriptorIndex.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/Dakotax/DescriptorIndex.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/modules/Dakotax/DescriptorIndex.cpp	(revision 12494)
@@ -23,10 +23,10 @@
 	/*retrieve first token, separated by underscore: */
 	pch = strtok (descriptor,"_");
-	if(!pch)_error2_("" << " descriptor " << descriptor << " is not correctly formatted!");
+	if(!pch)_error2_(" descriptor " << descriptor << " is not correctly formatted!");
 
 	if (strncmp(pch,"scaled",6)==0){
 		/*we have a scaled variable. recover the root: */
 		pch = strtok (NULL, "_");
-		if(!pch)_error2_("" << " scaled descriptor " << descriptor << " is not correctly formatted!");
+		if(!pch)_error2_(" scaled descriptor " << descriptor << " is not correctly formatted!");
 		memcpy(root,pch,(strlen(pch)+1)*sizeof(char));
 
@@ -44,9 +44,9 @@
 		/*we have an indexed variable. recover the root: */
 		pch = strtok (NULL, "_");
-		if(!pch)_error2_("" << " indexed descriptor " << descriptor << " is not correctly formatted!");
+		if(!pch)_error2_(" indexed descriptor " << descriptor << " is not correctly formatted!");
 		memcpy(root,pch,(strlen(pch)+1)*sizeof(char));
 		/*now recover  the index: */
 		pch = strtok (NULL, "_");
-		if(!pch)_error2_("" << " indexed descriptor " << descriptor << " is not correctly formatted!");
+		if(!pch)_error2_(" indexed descriptor " << descriptor << " is not correctly formatted!");
 		sscanf(pch,"%i",pindex);
 		return IndexedEnum;
@@ -55,9 +55,9 @@
 		/*we have an indexed variable. recover the root: */
 		pch = strtok (NULL, "_");
-		if(!pch)_error2_("" << " nodal descriptor " << descriptor << " is not correctly formatted!");
+		if(!pch)_error2_(" nodal descriptor " << descriptor << " is not correctly formatted!");
 		memcpy(root,pch,(strlen(pch)+1)*sizeof(char));
 		/*now recover  the index: */
 		pch = strtok (NULL, "_");
-		if(!pch)_error2_("" << " nodal descriptor " << descriptor << " is not correctly formatted!");
+		if(!pch)_error2_(" nodal descriptor " << descriptor << " is not correctly formatted!");
 		sscanf(pch,"%i",pindex);
 		return NodalEnum;
Index: issm/trunk-jpl/src/c/modules/ElementResponsex/ElementResponsex.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/ElementResponsex/ElementResponsex.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/modules/ElementResponsex/ElementResponsex.cpp	(revision 12494)
@@ -39,5 +39,5 @@
 	#ifdef _HAVE_MPI_
 	MPI_Allreduce ( &found,&sumfound,1,MPI_INT,MPI_SUM,MPI_COMM_WORLD);
-	if(!sumfound)_error2_("" << "could not find material with id" << index << " to compute ElementResponse");
+	if(!sumfound)_error2_("could not find material with id" << index << " to compute ElementResponse");
 	#endif
 
Index: issm/trunk-jpl/src/c/modules/GetVectorFromInputsx/GetVectorFromInputsx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/GetVectorFromInputsx/GetVectorFromInputsx.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/modules/GetVectorFromInputsx/GetVectorFromInputsx.cpp	(revision 12494)
@@ -32,5 +32,5 @@
 	}
 	else{
-		_error2_("" << " vector type: " << EnumToStringx(type) << " not supported yet!");
+		_error2_(" vector type: " << EnumToStringx(type) << " not supported yet!");
 	}
 
Index: issm/trunk-jpl/src/c/modules/GroundinglineMigrationx/GroundinglineMigrationx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/GroundinglineMigrationx/GroundinglineMigrationx.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/modules/GroundinglineMigrationx/GroundinglineMigrationx.cpp	(revision 12494)
@@ -27,5 +27,5 @@
 
 	if(migration_style==NoneEnum) return;
-	if(migration_style!=AgressiveMigrationEnum && migration_style!=SoftMigrationEnum) _error2_("" << EnumToStringx(migration_style) << " not supported yet!");
+	if(migration_style!=AgressiveMigrationEnum && migration_style!=SoftMigrationEnum) _error2_(EnumToStringx(migration_style) << " not supported yet!");
 
 	if(migration_style==SoftMigrationEnum){
Index: issm/trunk-jpl/src/c/modules/IoModelToConstraintsx/IoModelToConstraintsx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/IoModelToConstraintsx/IoModelToConstraintsx.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/modules/IoModelToConstraintsx/IoModelToConstraintsx.cpp	(revision 12494)
@@ -38,6 +38,6 @@
 	fid=iomodel->SetFilePointerToData(&code, &vector_layout,vector_enum);
 
-	if(code!=7)_error2_("" << " expecting a IssmDouble vector for constraints with enum " << EnumToStringx(vector_enum));
-	if(vector_layout!=1)_error2_("" << " expecting a nodal vector for constraints with enum " << EnumToStringx(vector_enum));
+	if(code!=7)_error2_(" expecting a IssmDouble vector for constraints with enum " << EnumToStringx(vector_enum));
+	if(vector_layout!=1)_error2_(" expecting a nodal vector for constraints with enum " << EnumToStringx(vector_enum));
 
 	/*Fetch vector:*/
Index: issm/trunk-jpl/src/c/modules/ModelProcessorx/CreateDataSets.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/ModelProcessorx/CreateDataSets.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/modules/ModelProcessorx/CreateDataSets.cpp	(revision 12494)
@@ -124,5 +124,5 @@
 
 		default:
-			_error2_("" << " analysis_type: " << EnumToStringx(analysis_type) << " not supported yet!");
+			_error2_(" analysis_type: " << EnumToStringx(analysis_type) << " not supported yet!");
 	}
 
Index: issm/trunk-jpl/src/c/modules/NodalValuex/NodalValuex.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/NodalValuex/NodalValuex.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/modules/NodalValuex/NodalValuex.cpp	(revision 12494)
@@ -38,5 +38,5 @@
 	#ifdef _HAVE_MPI_
 	MPI_Allreduce ( &found,&sumfound,1,MPI_INT,MPI_SUM,MPI_COMM_WORLD);
-	if(!sumfound)_error2_("" << "could not find element with vertex with id" << index << " to compute nodal value " << EnumToStringx(natureofdataenum));
+	if(!sumfound)_error2_("could not find element with vertex with id" << index << " to compute nodal value " << EnumToStringx(natureofdataenum));
 	#endif
 
Index: issm/trunk-jpl/src/c/modules/NodeConnectivityx/NodeConnectivityx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/NodeConnectivityx/NodeConnectivityx.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/modules/NodeConnectivityx/NodeConnectivityx.cpp	(revision 12494)
@@ -71,5 +71,5 @@
 	 * warn the user to increase the connectivity width: */
 	for(i=0;i<nods;i++){
-		if (*(connectivity+width*i+maxels)>maxels)_error2_("" << " max connectivity width reached (" << *(connectivity+width*i+maxels) << ")! increase width of connectivity table");
+		if (*(connectivity+width*i+maxels)>maxels)_error2_(" max connectivity width reached (" << *(connectivity+width*i+maxels) << ")! increase width of connectivity table");
 	}
 
Index: issm/trunk-jpl/src/c/modules/Solverx/SolverxPetsc.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/Solverx/SolverxPetsc.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/modules/Solverx/SolverxPetsc.cpp	(revision 12494)
@@ -136,5 +136,5 @@
 	/*Check convergence*/
 	KSPGetIterationNumber(ksp,&iteration_number);
-	if (iteration_number<0) _error2_("" << " Solver diverged at iteration number: " << -iteration_number);
+	if (iteration_number<0) _error2_(" Solver diverged at iteration number: " << -iteration_number);
 
 	/*Free resources:*/
Index: issm/trunk-jpl/src/c/objects/Bamg/BamgQuadtree.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Bamg/BamgQuadtree.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Bamg/BamgQuadtree.h	(revision 12494)
@@ -29,10 +29,10 @@
 					};
 					/*Object functions*/
-					void    Echo()       {_error_("not implemented yet"); };
-					void    DeepEcho()   {_error_("not implemented yet"); };
-					int     Id()         {_error_("not implemented yet"); };
-					int     MyRank()     {_error_("not implemented yet"); };
-					int     ObjectEnum() {_error_("not implemented yet"); };
-					Object *copy()       {_error_("not implemented yet"); };
+					void    Echo()       {_error2_("not implemented yet"); };
+					void    DeepEcho()   {_error2_("not implemented yet"); };
+					int     Id()         {_error2_("not implemented yet"); };
+					int     MyRank()     {_error2_("not implemented yet"); };
+					int     ObjectEnum() {_error2_("not implemented yet"); };
+					Object *copy()       {_error2_("not implemented yet"); };
 			};
 
Index: issm/trunk-jpl/src/c/objects/Bamg/ListofIntersectionTriangles.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Bamg/ListofIntersectionTriangles.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Bamg/ListofIntersectionTriangles.h	(revision 12494)
@@ -34,5 +34,5 @@
 					double c01=lEnd-lBegin, c0=(lEnd-s)/c01, c1=(s-lBegin)/c01;
 					if (lBegin>s || s>lEnd){
-						_error_("lBegin>s || s>lEnd");
+						_error2_("lBegin>s || s>lEnd");
 					}
 					return e->F(sBegin*c0+sEnd*c1);
Index: issm/trunk-jpl/src/c/objects/Bamg/Mesh.cpp
===================================================================
--- issm/trunk-jpl/src/c/objects/Bamg/Mesh.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Bamg/Mesh.cpp	(revision 12494)
@@ -3563,5 +3563,5 @@
 	}
 	if(k) {
-		_error2_("" << k << " boundary edges (from the geometry) are not defined as mesh edges");
+		_error2_(k << " boundary edges (from the geometry) are not defined as mesh edges");
 	}
 
Index: issm/trunk-jpl/src/c/objects/DofIndexing.cpp
===================================================================
--- issm/trunk-jpl/src/c/objects/DofIndexing.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/DofIndexing.cpp	(revision 12494)
@@ -143,5 +143,5 @@
 		else this->sdoflist=NULL;
 	}
-	else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+	else _error2_(" set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 }
 /*}}}*/
Index: issm/trunk-jpl/src/c/objects/ElementResults/DoubleElementResult.h
===================================================================
--- issm/trunk-jpl/src/c/objects/ElementResults/DoubleElementResult.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/ElementResults/DoubleElementResult.h	(revision 12494)
@@ -48,6 +48,6 @@
 		/*DoubleElementResult management: {{{*/
 		int   InstanceEnum();
-		void GetVectorFromResults(Vector* vector,int* doflist,int* connectivitylist,int numdofs){_error_("not implemented");};
-		void GetElementVectorFromResults(Vector* vector,int dof){_error_("not implemented");};
+		void GetVectorFromResults(Vector* vector,int* doflist,int* connectivitylist,int numdofs){_error2_("not implemented");};
+		void GetElementVectorFromResults(Vector* vector,int dof){_error2_("not implemented");};
 		/*}}}*/
 };
Index: issm/trunk-jpl/src/c/objects/Elements/Penta.cpp
===================================================================
--- issm/trunk-jpl/src/c/objects/Elements/Penta.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Elements/Penta.cpp	(revision 12494)
@@ -1153,6 +1153,6 @@
 		new_inputs[i]=(Input*)this->inputs->GetInput(enums[2*i+0]);
 		old_inputs[i]=(Input*)this->inputs->GetInput(enums[2*i+1]);
-		if(!new_inputs[i])_error2_("" << " could not find input with enum " << EnumToStringx(enums[2*i+0]));
-		if(!old_inputs[i])_error2_("" << " could not find input with enum " << EnumToStringx(enums[2*i+0]));
+		if(!new_inputs[i])_error2_(" could not find input with enum " << EnumToStringx(enums[2*i+0]));
+		if(!old_inputs[i])_error2_(" could not find input with enum " << EnumToStringx(enums[2*i+0]));
 	}
 
@@ -1186,5 +1186,5 @@
 		this->inputs->AddInput(new DoubleInput(name,(IssmDouble)scalar));
 	}
-	else _error2_("" << " could not recognize nature of vector from code " << code);
+	else _error2_(" could not recognize nature of vector from code " << code);
 
 }
@@ -1268,5 +1268,5 @@
 				this->inputs->AddInput(new DoubleInput(vector_enum,(IssmDouble)vector[index]));
 			}
-			else _error2_("" << " could not recognize nature of vector from code " << code);
+			else _error2_(" could not recognize nature of vector from code " << code);
 		}
 		else {
Index: issm/trunk-jpl/src/c/objects/Elements/PentaRef.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Elements/PentaRef.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Elements/PentaRef.h	(revision 12494)
@@ -56,7 +56,7 @@
 		void GetLprimeStokesMacAyeal(IssmDouble* LprimeStokesMacAyeal, IssmDouble* xyz_list, GaussPenta* gauss);
 		void GetInputValue(IssmDouble* pvalue,IssmDouble* plist, GaussPenta* gauss);
-		void GetInputValue(IssmDouble* pvalue,IssmDouble* plist,GaussTria* gauss){_error_("only PentaGauss are supported");};
+		void GetInputValue(IssmDouble* pvalue,IssmDouble* plist,GaussTria* gauss){_error2_("only PentaGauss are supported");};
 		void GetInputDerivativeValue(IssmDouble* pvalues, IssmDouble* plist,IssmDouble* xyz_list, GaussPenta* gauss);
-		void GetInputDerivativeValue(IssmDouble* pvalues, IssmDouble* plist,IssmDouble* xyz_list, GaussTria* gauss){_error_("only PentaGauss are supported");};
+		void GetInputDerivativeValue(IssmDouble* pvalues, IssmDouble* plist,IssmDouble* xyz_list, GaussTria* gauss){_error2_("only PentaGauss are supported");};
 
 };
Index: issm/trunk-jpl/src/c/objects/Elements/Tria.cpp
===================================================================
--- issm/trunk-jpl/src/c/objects/Elements/Tria.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Elements/Tria.cpp	(revision 12494)
@@ -1252,6 +1252,6 @@
 		new_inputs[i]=(Input*)this->inputs->GetInput(enums[2*i+0]);
 		old_inputs[i]=(Input*)this->inputs->GetInput(enums[2*i+1]);
-		if(!new_inputs[i])_error2_("" << " could not find input with enum " << EnumToStringx(enums[2*i+0]));
-		if(!old_inputs[i])_error2_("" << " could not find input with enum " << EnumToStringx(enums[2*i+0]));
+		if(!new_inputs[i])_error2_(" could not find input with enum " << EnumToStringx(enums[2*i+0]));
+		if(!old_inputs[i])_error2_(" could not find input with enum " << EnumToStringx(enums[2*i+0]));
 	}
 
@@ -1282,5 +1282,5 @@
 	else
 	 _error2_("object " << EnumToStringx(object_enum) << " not supported yet");
-	if(!oldinput)_error2_("" << " could not find old input with enum: " << EnumToStringx(enum_type));
+	if(!oldinput)_error2_(" could not find old input with enum: " << EnumToStringx(enum_type));
 	newinput=(Input*)oldinput->copy();
 
@@ -1657,5 +1657,5 @@
 		this->inputs->AddInput(new DoubleInput(name,(int)scalar));
 	}
-	else _error2_("" << " could not recognize nature of vector from code " << code);
+	else _error2_(" could not recognize nature of vector from code " << code);
 
 }
@@ -1739,5 +1739,5 @@
 				this->inputs->AddInput(new DoubleInput(vector_enum,(IssmDouble)vector[index]));
 			}
-			else _error2_("" << " could not recognize nature of vector from code " << code);
+			else _error2_(" could not recognize nature of vector from code " << code);
 		}
 		else {
@@ -2651,5 +2651,5 @@
 
 	/*First off, check that this segment belongs to this element: */
-	if ((int)*(segment+4)!=this->id)_error2_("" << "error message: segment with id " << (int)*(segment+4) << " does not belong to element with id:" << this->id);
+	if ((int)*(segment+4)!=this->id)_error2_("error message: segment with id " << (int)*(segment+4) << " does not belong to element with id:" << this->id);
 
 	/*Recover segment node locations: */
@@ -3538,5 +3538,5 @@
 			break;
 		default:
-			_error2_("" << "control type not supported yet: " << control_type);
+			_error2_("control type not supported yet: " << control_type);
 	}
 
Index: issm/trunk-jpl/src/c/objects/Elements/Tria.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Elements/Tria.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Elements/Tria.h	(revision 12494)
@@ -99,5 +99,5 @@
 		void   InputToResult(int enum_type,int step,IssmDouble time);
 		void   DeleteResults(void);
-		void   MaterialUpdateFromTemperature(void){_error_("not implemented yet");};
+		void   MaterialUpdateFromTemperature(void){_error2_("not implemented yet");};
 		void   MigrateGroundingLine(IssmDouble* oldfloating,IssmDouble* sheet_ungrounding);
 		int    NodalValue(IssmDouble* pvalue, int index, int natureofdataenum,bool process_units);
@@ -109,5 +109,5 @@
 		void   PatchSize(int* pnumrows, int* pnumvertices,int* pnumnodes);
 		void   ProcessResultsUnits(void);
-		void   ResetCoordinateSystem(void){_error_("not implemented yet");};
+		void   ResetCoordinateSystem(void){_error2_("not implemented yet");};
 		IssmDouble SurfaceArea(void);
 		void   Update(int index, IoModel* iomodel,int analysis_counter,int analysis_type);
Index: issm/trunk-jpl/src/c/objects/Hook.cpp
===================================================================
--- issm/trunk-jpl/src/c/objects/Hook.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Hook.cpp	(revision 12494)
@@ -185,5 +185,5 @@
 			this->objects[i]=(Object*)dataset->GetObjectById(this->offsets+i,this->ids[i]); //remember the offset for later on.
 			/*check the id is correct!: */
-			if (this->objects[i]->Id()!=this->ids[i]) _error2_("" << " wrong id: " << this->objects[i]->Id() << " vs " << this->ids[i] << "  in resolved pointer!");
+			if (this->objects[i]->Id()!=this->ids[i]) _error2_(" wrong id: " << this->objects[i]->Id() << " vs " << this->ids[i] << "  in resolved pointer!");
 		}
 	}
@@ -194,5 +194,5 @@
 	
 	/*first, check that we only have one T object in our object list: */
-	if (this->num!=1) _error2_("" << " trying to delivery a single hook object when hook holds " << this->num << " objects" << "\n");
+	if (this->num!=1) _error2_(" trying to delivery a single hook object when hook holds " << this->num << " objects" << "\n");
 
 	/*check NULL: */
Index: issm/trunk-jpl/src/c/objects/Inputs/BoolInput.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Inputs/BoolInput.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Inputs/BoolInput.h	(revision 12494)
@@ -37,10 +37,10 @@
 		int   InstanceEnum();
 		Input* SpawnTriaInput(int* indices);
-		Input* PointwiseDivide(Input* inputB){_error_("not implemented yet");};
-		Input* PointwiseMin(Input* inputB){_error_("not implemented yet");};
-		Input* PointwiseMax(Input* inputB){_error_("not implemented yet");};
+		Input* PointwiseDivide(Input* inputB){_error2_("not implemented yet");};
+		Input* PointwiseMin(Input* inputB){_error2_("not implemented yet");};
+		Input* PointwiseMax(Input* inputB){_error2_("not implemented yet");};
 		ElementResult* SpawnResult(int step, IssmPDouble time);
 		void Configure(Parameters* parameters);
-		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error_("not supported yet");};
+		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error2_("not supported yet");};
 		/*}}}*/
 		/*numerics: {{{*/
@@ -49,32 +49,32 @@
 		void GetInputValue(IssmPDouble* pvalue);
 		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss);
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error2_("not implemented yet");};
 		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss);
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error2_("not implemented yet");};
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussTria* gauss);
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss);
-		void GetInputAverage(IssmPDouble* pvalue){_error_("not implemented yet");};
-		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
+		void GetInputAverage(IssmPDouble* pvalue){_error2_("not implemented yet");};
+		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
 		void ChangeEnum(int newenumtype);
 		void SquareMin(IssmPDouble* psquaremin, bool process_units,Parameters* parameters);
-		void ConstrainMin(IssmPDouble minimum){_error_("not implemented yet");};
-		IssmPDouble InfinityNorm(void){_error_("InfinityNorm not implemented for booleans");};
-		IssmPDouble Max(void){_error_("Max not implemented for booleans");};
-		IssmPDouble MaxAbs(void){_error_("Max not implemented for booleans");};
-		IssmPDouble Min(void){_error_("Min not implemented for booleans");};
-		IssmPDouble MinAbs(void){_error_("Min not implemented for booleans");};
+		void ConstrainMin(IssmPDouble minimum){_error2_("not implemented yet");};
+		IssmPDouble InfinityNorm(void){_error2_("InfinityNorm not implemented for booleans");};
+		IssmPDouble Max(void){_error2_("Max not implemented for booleans");};
+		IssmPDouble MaxAbs(void){_error2_("Max not implemented for booleans");};
+		IssmPDouble Min(void){_error2_("Min not implemented for booleans");};
+		IssmPDouble MinAbs(void){_error2_("Min not implemented for booleans");};
 		void Scale(IssmPDouble scale_factor);
-		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error_("not implemented yet");};
+		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error2_("not implemented yet");};
 		void AXPY(Input* xinput,IssmPDouble scalar);
 		void Constrain(IssmPDouble cm_min, IssmPDouble cm_max);
 		void Extrude(void);
-		void VerticallyIntegrate(Input* thickness_input){_error_("not supported yet");};
+		void VerticallyIntegrate(Input* thickness_input){_error2_("not supported yet");};
 		void GetVectorFromInputs(Vector* vector,int* doflist);
 		void GetValuesPtr(IssmPDouble** pvalues,int* pnum_values);
Index: issm/trunk-jpl/src/c/objects/Inputs/ControlInput.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Inputs/ControlInput.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Inputs/ControlInput.h	(revision 12494)
@@ -41,9 +41,9 @@
 		int    InstanceEnum();
 		Input* SpawnTriaInput(int* indices);
-		Input* PointwiseDivide(Input* inputB){_error_("not implemented yet");};
-		Input* PointwiseMin(Input* inputB){_error_("not implemented yet");};
-		Input* PointwiseMax(Input* inputB){_error_("not implemented yet");};
+		Input* PointwiseDivide(Input* inputB){_error2_("not implemented yet");};
+		Input* PointwiseMin(Input* inputB){_error2_("not implemented yet");};
+		Input* PointwiseMax(Input* inputB){_error2_("not implemented yet");};
 		ElementResult* SpawnResult(int step, IssmPDouble time);
-		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error_("not supported yet");};
+		void AddTimeValues(IssmPDouble* values,int step,IssmPDouble time){_error2_("not supported yet");};
 		void Configure(Parameters* parameters);
 		/*}}}*/
@@ -54,36 +54,36 @@
 		void GetInputValue(IssmPDouble* pvalue);
 		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss);
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss,IssmPDouble time){_error2_("not implemented yet");};
 		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss);
-		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error_("not implemented yet");};
-		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussTria* gauss ,int index){_error2_("not implemented yet");};
+		void GetInputValue(IssmPDouble* pvalue,GaussPenta* gauss ,int index){_error2_("not implemented yet");};
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussTria* gauss);
 		void GetInputDerivativeValue(IssmPDouble* derivativevalues, IssmPDouble* xyz_list, GaussPenta* gauss);
 		void GetInputAverage(IssmPDouble* pvalue);
-		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error_("not implemented yet");};
-		void ChangeEnum(int newenumtype){_error_("not implemented yet");};
-		void SquareMin(IssmPDouble* psquaremin, bool process_units,Parameters* parameters){_error_("not implemented yet");};
-		void ConstrainMin(IssmPDouble minimum){_error_("not implemented yet");};
-		void Scale(IssmPDouble scale_factor){_error_("not implemented yet");};
-		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error_("not implemented yet");};
-		void AXPY(Input* xinput,IssmPDouble scalar){_error_("not implemented yet");};
+		void GetVxStrainRate2d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate2d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussTria* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3d(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3d(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVzStrainRate3d(IssmPDouble* epsilonvz,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVxStrainRate3dPattyn(IssmPDouble* epsilonvx,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void GetVyStrainRate3dPattyn(IssmPDouble* epsilonvy,IssmPDouble* xyz_list, GaussPenta* gauss){_error2_("not implemented yet");};
+		void ChangeEnum(int newenumtype){_error2_("not implemented yet");};
+		void SquareMin(IssmPDouble* psquaremin, bool process_units,Parameters* parameters){_error2_("not implemented yet");};
+		void ConstrainMin(IssmPDouble minimum){_error2_("not implemented yet");};
+		void Scale(IssmPDouble scale_factor){_error2_("not implemented yet");};
+		void ArtificialNoise(IssmPDouble min,IssmPDouble max){_error2_("not implemented yet");};
+		void AXPY(Input* xinput,IssmPDouble scalar){_error2_("not implemented yet");};
 		void Constrain(void);
 		void Constrain(IssmPDouble min,IssmPDouble max);
-		IssmPDouble InfinityNorm(void){_error_("not implemented yet");};
-		IssmPDouble Max(void){_error_("not implemented yet");};
-		IssmPDouble MaxAbs(void){_error_("not implemented yet");};
-		IssmPDouble Min(void){_error_("not implemented yet");};
-		IssmPDouble MinAbs(void){_error_("not implemented yet");};
+		IssmPDouble InfinityNorm(void){_error2_("not implemented yet");};
+		IssmPDouble Max(void){_error2_("not implemented yet");};
+		IssmPDouble MaxAbs(void){_error2_("not implemented yet");};
+		IssmPDouble Min(void){_error2_("not implemented yet");};
+		IssmPDouble MinAbs(void){_error2_("not implemented yet");};
 		void Extrude(void);
 		void VerticallyIntegrate(Input* thickness_input);
 		void GetVectorFromInputs(Vector* vector,int* doflist,const char* data);
 		void GetVectorFromInputs(Vector* vector,int* doflist);
-		void GetValuesPtr(IssmPDouble** pvalues,int* pnum_values){_error_("not implemented yet");};
+		void GetValuesPtr(IssmPDouble** pvalues,int* pnum_values){_error2_("not implemented yet");};
 		ElementResult* SpawnGradient(int step, IssmPDouble time);
 		void GetGradient(Vector* gradient_vec,int* doflist);
